Advertisement:

Author Topic: Receiving error when installing !  (Read 1321 times)

Ashish Vaish

  • Newbie
  • *
  • Posts: 22
  • Born To Internet !
Receiving error when installing !
« on: June 28, 2015, 04:33:26 pm »
I am receiving this error when installing Facebook Plugin :
Plugin couldn't be installed because of: Error importing the database structure of the jobboard plugin

Does anyone know how to fix this error!

ephraim

  • Jr. Member
  • **
  • Posts: 80
Re: Receiving error when installing !
« Reply #1 on: June 28, 2015, 07:27:36 pm »
Looks like a plugin conflict, disable the job board plugin first and try to install facebook.

Ashish Vaish

  • Newbie
  • *
  • Posts: 22
  • Born To Internet !
Re: Receiving error when installing !
« Reply #2 on: June 28, 2015, 10:01:20 pm »
Looks like a plugin conflict, disable the job board plugin first and try to install facebook.

But I havent installed job board plugin !

osbegin

  • Newbie
  • *
  • Posts: 2
Re: Receiving error when installing !
« Reply #3 on: September 28, 2017, 03:05:32 pm »
Hi

the error happens when the installer cannot run  struct.sql script.
So the solution can be to
first: runt the script manually, using phpmyadmin or so. (do not forget to edit the script and replace /*TABLE_PREFIX*/ with your table prefix. defalut is oc_)
second: in OSCFacebook.php around line 139 remark the following lines:

            if( !$this->dao->importSQL( $sql ) ) {
                throw new Exception( __('Error importing the database structure of the jobboard plugin', 'jobboard') );
            }


It worked for me!